<?php
/**
* Template Name: Wiki
*/
if (function_exists( 'woffice_wiki_extension_on' )){

	$wiki_create = ( function_exists( 'fw_get_db_settings_option' ) ) ? fw_get_db_settings_option('wiki_create') : ''; 
	if (woffice_role_allowed($wiki_create)):  
	
		$hasError = woffice_frontend_proccess('wiki');
		
	endif;

}

get_header(); 
?>

	<?php // Start the Loop.
	while ( have_posts() ) : the_post(); ?>

		<div id="left-content">

			<?php  //GET THEME HEADER CONTENT

			woffice_title(get_the_title()); ?> 	

			<!-- START THE CONTENT CONTAINER -->
			<div id="content-container">

				<!-- START CONTENT -->
				<div id="content">
					<?php if (woffice_is_user_allowed()) { ?>
						<?php 
						// CUSTOM CLASSES ADDED BY THE THEME
						$post_classes = array('box','content');
						?>
						<article id="post-<?php the_ID(); ?>" <?php post_class($post_classes); ?>>
							<div id="wiki-page-content" class="intern-padding">
								<?php 
								// THE PAGE CONTENT
								the_content();
								//DISABLED IN THIS THEME
								wp_link_pages(array('echo'  => 0));
								//EDIT LINK
								edit_post_link( __( 'Edit', 'woffice' ), '<span class="edit-link">', '</span>' );
								
								if (function_exists( 'woffice_wiki_extension_on' )){
									// SEARCH FOR WIKI CATEGORIES
									$wiki_categories_args = array(
										'type'                     => 'wiki',
										'orderby'                  => 'name',
										'order'                    => 'ASC',
										'number'				   => '20',
										'taxonomy'                 => 'wiki-category',
									);
									$categories = get_categories($wiki_categories_args);
                                    // We check for excluded categories
                                    $wiki_excluded_categories = ( function_exists( 'fw_get_db_settings_option' ) ) ? fw_get_db_settings_option('wiki_excluded_categories') : '';
                                    /*If it's not a child only*/
                                    $wiki_excluded_categories_ready = (!empty($wiki_excluded_categories)) ? $wiki_excluded_categories : array();
                                    // DISPLAY EACH CATEGORY
									$html_begin_row = '<div class="row">';
									$html_end_row = '</div>';
									$h = 0;
									foreach($categories as $category) {
										// We check for excluded categories
										$wiki_excluded_categories = ( function_exists( 'fw_get_db_settings_option' ) ) ? fw_get_db_settings_option('wiki_excluded_categories') : '';
										/*If it's not a child only*/
										$wiki_excluded_categories_ready = (!empty($wiki_excluded_categories)) ? $wiki_excluded_categories : array();

										if($category->parent == 0 && !in_array($category->term_id, $wiki_excluded_categories_ready)) {
										
											if ($h > 0 && !is_float($h/2)) echo $html_end_row;
											if (!is_float($h/2)) print $html_begin_row;
											echo '<div class="col-md-6">';
												// THE TITLE
												echo '<div class="heading"><h2><a href="' . get_term_link($category->slug,'wiki-category') . '">';
													echo'<i class="fa fa-folder"></i> ' . esc_html( $category->name ) .' ('.esc_html( $category->count ).')';
												echo'</a></h2></div>'; 
												// THE LIST
												echo '<ul class="list-styled list-wiki">';
													
													// IF THERE IS CHILD CATEGORIES, WE DISPLAY THEM FIRST
													$child_categories = get_categories(array(
														'type' => 'wiki',
														'taxonomy' => 'wiki-category',
														'child_of' => $category->term_id
													));
													if (!empty($child_categories)){
														
														foreach ($child_categories as $category_child) {
															
															echo '<li class="sub-category">'.esc_html( $category_child->name ) .' ('.esc_html( $category_child->count ).')'.'</li>
															<ul class="list-styled list-wiki">';
															
																$wiki_query_childes = new WP_Query('post_type=wiki&wiki-category='.esc_attr($category_child->slug).'&showposts=-1');
																while($wiki_query_childes->have_posts()) : $wiki_query_childes->the_post(); 
															
																	/*WE DISPLAY IT*/
																	if (woffice_is_user_allowed_wiki()){
																		$likes = woffice_get_wiki_likes(get_the_id());
																		$likes_display = (!empty($likes)) ? $likes : '';
																		echo'<li><a href="'. get_the_permalink() .'" rel="bookmark">'. get_the_title() . $likes_display.'</a></li>';
																	}
																
																endwhile;
																wp_reset_postdata();
																
															echo '</ul></li>';
															
														}
														
													}
													
													// GET ALL THE OTHER ONES
													$args = array(
													    'post_type' => 'wiki',
													    'showposts' => -1,
													    'tax_query' => array(
													        array(
													            'taxonomy' => 'wiki-category',
													            'field'    => 'term_id',
													            'terms'    => array($category->term_id),
													            'include_children' => false
													        ),
													    ),
													);
													$wiki_query = new WP_Query($args);
													while($wiki_query->have_posts()) : $wiki_query->the_post(); 
													
														/*WE DISPLAY IT*/
														if (woffice_is_user_allowed_wiki()){
															$likes = woffice_get_wiki_likes(get_the_id());
															$likes_display = (!empty($likes)) ? $likes : '';
															echo'<li><a href="'. get_the_permalink() .'" rel="bookmark">'. get_the_title() . $likes_display.'</a></li>';
														}
														
													endwhile;
													wp_reset_postdata();
												echo '</ul>';
											echo '</div>';  
											$h++;
											
										}
		    						} 
		    						if ($h > 0) echo $html_end_row;
									?>
									<hr>
									<div class="center" id="wiki-bottom">
										<?php // CHECK IF USER CAN CREATE WIKI PAGE
										$wiki_create = ( function_exists( 'fw_get_db_settings_option' ) ) ? fw_get_db_settings_option('wiki_create') : ''; 
										if (woffice_role_allowed($wiki_create)): 
										
											echo'<a href="javascript:void(0)" class="btn btn-default" id="show-wiki-create"><i class="fa fa-plus-square"></i> '. __("New Wiki Article", "woffice") .'</a>';
											
										endif; ?>
										<a href="<?php echo get_post_type_archive_link( 'wiki' ); ?>" class="btn btn-default">
											<i class="fa fa-folder-open-o"></i> <?php _e("All Articles", "woffice"); ?>
										</a>
									</div>
								<?php } ?>
							</div>
							
							<?php 
							if (function_exists( 'woffice_wiki_extension_on' )){
								// CHECK IF USER CAN CREATE WIKI PAGE
								$wiki_create = ( function_exists( 'fw_get_db_settings_option' ) ) ? fw_get_db_settings_option('wiki_create') : ''; 
								if (woffice_role_allowed($wiki_create)):  ?>
									
									<?php woffice_frontend_render('wiki',$hasError); ?>
									
								<?php endif; 
							} ?>
						</article>
					<?php
					} else { 
						get_template_part( 'content', 'private' );
					}
					?>
				</div>
					
			</div><!-- END #content-container -->
		
			<?php woffice_scroll_top(); ?>

		</div><!-- END #left-content -->

	<?php // END THE LOOP 
	endwhile; ?>

<?php 
get_footer();



